Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QProcess.ProcessError

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QProcess.ProcessError

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QProcess

    public static final class QProcess.ProcessError

extends java.lang.Enum
implements QtEnumerator

This enum describes the different types of errors that are reported by `QProcess`.

See also:
  `error()`.

See Also:
  Serialized Form

Field Summary
`static QProcess.ProcessError` | `Crashed` The process crashed some time after starting successfully.
`static QProcess.ProcessError` | `FailedToStart` The process failed to start.
`static QProcess.ProcessError` | `ReadError` An error occurred when attempting to read from the process.
`static QProcess.ProcessError` | `Timedout` The last `waitFor` ...() function timed out.
`static QProcess.ProcessError` | `UnknownError` An unknown error occurred.
`static QProcess.ProcessError` | `WriteError` An error occurred when attempting to write to the process.

Method Summary
`static QProcess.ProcessError` | `resolve(int value)` Returns the ProcessError constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QProcess.ProcessError` | `valueOf(java.lang.String name)`
`static QProcess.ProcessError[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FailedToStart

    public static final QProcess.ProcessError FailedToStart

  The process failed to start. Either the invoked program is missing, or you may have insufficient permissions to invoke the program.

### Crashed

    public static final QProcess.ProcessError Crashed

  The process crashed some time after starting successfully.

### Timedout

    public static final QProcess.ProcessError Timedout

  The last `waitFor` ...() function timed out. The state of `QProcess` is unchanged, and you can try calling `waitFor` ...() again.

### ReadError

    public static final QProcess.ProcessError ReadError

  An error occurred when attempting to read from the process. For example, the process may not be running.

### WriteError

    public static final QProcess.ProcessError WriteError

  An error occurred when attempting to write to the process. For example, the process may not be running, or it may have closed its input channel.

### UnknownError

    public static final QProcess.ProcessError UnknownError

  An unknown error occurred. This is the default return value of `error()`.

Method Detail

### values

    public static QProcess.ProcessError[] values()

### valueOf

    public static QProcess.ProcessError valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QProcess.ProcessError resolve(int value)

  Returns the ProcessError constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD